Loading...
Searching...
No Matches
Ogre::Lod0Stripifier::RemapInfo Struct Reference

`#include <OgreLod0Stripifier.h>`

## Public Types

enum | { UnusedIdx = (unsigned)-1 }

## Public Member Functions

| RemapInfo ()
template<typename IDX>
void | markUsedIndices (IDX *indices, size_t indexCount)
HardwareIndexBuffer::IndexType | minimalIndexType () const
bool | nothingToStrip () const
void | prepare (size_t originalSize)
void | renumerate ()

## Public Attributes

std::vector< unsigned > | indexMap
unsigned | usedCount

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
UnusedIdx |

## Constructor & Destructor Documentation

## RemapInfo()

Ogre::Lod0Stripifier::RemapInfo::RemapInfo | ( |  | ) |

inline

References usedCount.

## Member Function Documentation

## prepare()

void Ogre::Lod0Stripifier::RemapInfo::prepare | ( | size_t | originalSize | ) |

inline

References indexMap, UnusedIdx, and usedCount.

## markUsedIndices()

template<typename IDX>

void Ogre::Lod0Stripifier::RemapInfo::markUsedIndices | ( | IDX * | indices,
|  | size_t | indexCount )

inline

References indexMap, UnusedIdx, and usedCount.

## renumerate()

void Ogre::Lod0Stripifier::RemapInfo::renumerate | ( |  | ) |

inline

References indexMap, UnusedIdx, and usedCount.

## nothingToStrip()

bool Ogre::Lod0Stripifier::RemapInfo::nothingToStrip | ( |  | ) | const

inline

References indexMap, and usedCount.

## minimalIndexType()

HardwareIndexBuffer::IndexType Ogre::Lod0Stripifier::RemapInfo::minimalIndexType | ( |  | ) | const

inline

References Ogre::HardwareIndexBuffer::IT_16BIT, Ogre::HardwareIndexBuffer::IT_32BIT, and usedCount.

## Member Data Documentation

## indexMap

std::vector<unsigned> Ogre::Lod0Stripifier::RemapInfo::indexMap

Referenced by markUsedIndices(), nothingToStrip(), prepare(), and renumerate().

## usedCount

unsigned Ogre::Lod0Stripifier::RemapInfo::usedCount

Referenced by RemapInfo(), markUsedIndices(), minimalIndexType(), nothingToStrip(), prepare(), and renumerate().

The documentation for this struct was generated from the following file:

- OgreLod0Stripifier.h